#property copyright ""
#property link      ""
#property indicator_chart_window

extern int CornerInfoLabel=1;
extern int ColumnInfoLabel=10;
extern int LineInfoLabel=10;
extern color LabelColor=White;
extern double GMTTimeDif=0;
extern double LocalTimeDif=-1;

double ExtMapBuffer1[];
double ExtMapBuffer2[];
double Spread;
//====================================================================
int init()
  {
//----  
  ObjectDelete("BarTime"); ObjectDelete("Spread1"); ObjectDelete("Symbol1"); ObjectDelete("InfoPanel");ObjectDelete("GMTTime1");ObjectDelete("LocalTime1");
//----
return(0);
  }

int deinit()
  {
//----  
   ObjectDelete("BarTime"); ObjectDelete("Spread1"); ObjectDelete("Symbol1"); ObjectDelete("InfoPanel");ObjectDelete("GMTTime1");ObjectDelete("LocalTime1");
//----
   return(0);
  }
//--------------------------------------------------------------------

int start()
{
	double i3;
   int m,s,k;
   m=Time[0]+Period()*60-CurTime();
   i3=m/60.0;
   s=m%60;
   m=(m-m%60)/60;
   
   //string ObjName="InfoPanel";
   //ObjectCreate   ("InfoPanel", OBJ_LABEL, 0, 0, 0);  
   //ObjectSetText  ("InfoPanel","g",89, "Webdings", Yellow); // http://www.knowlesys.com/software/glyph-font-viewer/
   //ObjectSet      ("InfoPanel", OBJPROP_CORNER,CornerInfoLabel);
   //ObjectSet      ("InfoPanel", OBJPROP_XDISTANCE,ColumnInfoLabel);
   //ObjectSet      ("InfoPanel", OBJPROP_YDISTANCE,LineInfoLabel);
   //ObjectSet      ("InfoPanel", OBJPROP_BACK, true);

   ObjectCreate("Symbol1", OBJ_LABEL, 0,0,0);
   ObjectSetText("Symbol1", StringSubstr(Symbol(),0,6)+" (M"+Period()+")", 11, "Arial Bold", LabelColor);
   ObjectSet("Symbol1", OBJPROP_CORNER, CornerInfoLabel);
   ObjectSet("Symbol1", OBJPROP_XDISTANCE,ColumnInfoLabel);
   ObjectSet("Symbol1", OBJPROP_YDISTANCE,LineInfoLabel);
   ObjectSet("Symbol1", OBJPROP_BACK, false);

   double GMTresult=Hour() + GMTTimeDif;
   ObjectCreate("GMTTime1", OBJ_LABEL, 0,0,0);
   ObjectSetText("GMTTime1", "GMT: "+DoubleToStr(GMTresult,0)+"h"+Minute()+"m", 6, "Arial", LabelColor);
   ObjectSet("GMTTime1", OBJPROP_CORNER, CornerInfoLabel);
   ObjectSet("GMTTime1", OBJPROP_XDISTANCE,ColumnInfoLabel);
   ObjectSet("GMTTime1", OBJPROP_YDISTANCE,LineInfoLabel+10);
   ObjectSet("GMTTime1", OBJPROP_BACK, false);

   double LocalTimeResult=Hour() + LocalTimeDif;
   ObjectCreate("LocalTime1", OBJ_LABEL, 0,0,0);
   ObjectSetText("LocalTime1", "Local: "+DoubleToStr(LocalTimeResult,0)+"h"+Minute()+"m", 6, "Arial", LabelColor);
   ObjectSet("LocalTime1", OBJPROP_CORNER, CornerInfoLabel);
   ObjectSet("LocalTime1", OBJPROP_XDISTANCE,ColumnInfoLabel);
   ObjectSet("LocalTime1", OBJPROP_YDISTANCE,LineInfoLabel+20);
   ObjectSet("LocalTime1", OBJPROP_BACK, false);
      
   ObjectCreate("BarTime", OBJ_LABEL, 0,0,0);
   ObjectSetText("BarTime", "Bar ends in "+m+"m"+s+"s", 9, "Arial", LabelColor);
   ObjectSet("BarTime", OBJPROP_CORNER, CornerInfoLabel);
   ObjectSet("BarTime", OBJPROP_XDISTANCE,ColumnInfoLabel);
   ObjectSet("BarTime", OBJPROP_YDISTANCE,LineInfoLabel+30);
   ObjectSet("BarTime", OBJPROP_BACK, false);

   Spread = MarketInfo(Symbol(), MODE_SPREAD);                          
   ObjectCreate("Spread1", OBJ_LABEL, 0,0,0);
   ObjectSetText("Spread1", "Spread "+DoubleToStr(Spread,0), 10, "Arial Bold", LabelColor);
   ObjectSet("Spread1", OBJPROP_CORNER, CornerInfoLabel);
   ObjectSet("Spread1", OBJPROP_XDISTANCE,ColumnInfoLabel);
   ObjectSet("Spread1", OBJPROP_YDISTANCE,LineInfoLabel+40);
   ObjectSet("Spread1", OBJPROP_BACK, false);
                               
   return(0);
  }
//+------------------------------------------------------------------+

